# Uses of Class
javafx.animation.Interpolator

Packages that use Interpolator
Package
Description
javafx.animation
Provides the set of classes for ease of use transition based animations.

## Uses of Interpolator in javafx.animation

Fields in javafx.animation declared as Interpolator
Modifier and Type
Field
Description
`static final Interpolator`
Interpolator.`DISCRETE`
Built-in interpolator that provides discrete time interpolation.
`static final Interpolator`
Interpolator.`EASE_BOTH`
Built-in interpolator instance that provides ease in/out behavior.
`static final Interpolator`
Interpolator.`EASE_IN`
Built-in interpolator instance that provides ease in behavior.
`static final Interpolator`
Interpolator.`EASE_OUT`
Built-in interpolator instance that provides ease out behavior.
`static final Interpolator`
Interpolator.`LINEAR`
Built-in interpolator that provides linear time interpolation.
Methods in javafx.animation that return Interpolator
Modifier and Type
Method
Description
`protected Interpolator`
Transition.`getCachedInterpolator()`
Returns the `Interpolator`, that was set when the `Transition` was started.
`Interpolator`
KeyValue.`getInterpolator()`
`Interpolator` to be used for calculating the key value along the particular interval.
`final Interpolator`
Transition.`getInterpolator()`
Gets the value of the `interpolator` property.
`static Interpolator`
Interpolator.`SPLINE(double x1, double y1, double x2, double y2)`
Creates an `Interpolator`, which `curve()` is shaped using the spline control points defined by (`x1`, `y1` ) and (`x2`, `y2`).
`static Interpolator`
Interpolator.`TANGENT(Duration t, double v)`
Creates a tangent interpolator, for which in-tangent and out-tangent are identical.
`static Interpolator`
Interpolator.`TANGENT(Duration t1, double v1, Duration t2, double v2)`
Create a tangent interpolator.
Methods in javafx.animation that return types with arguments of type Interpolator
Modifier and Type
Method
Description
`final ObjectProperty<Interpolator>`
Transition.`interpolatorProperty()`
Controls the timing for acceleration and deceleration at each `Transition` cycle.
Methods in javafx.animation with parameters of type Interpolator
Modifier and Type
Method
Description
`final void`
Transition.`setInterpolator(Interpolator value)`
Sets the value of the `interpolator` property.
Constructors in javafx.animation with parameters of type Interpolator
Modifier
Constructor
Description
``
`KeyValue(WritableValue<T> target, T endValue, Interpolator interpolator)`
Creates a `KeyValue`.